# class KMultiTabBarButton

###

Module | kdeui
Namespace |
Class | KMultiTabBarButton
Inherits | QPushButton

### methods

- KMultiTabBarButton (pic, a0, id, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  pic | QPixmap |
  a0 | QString |
  id | int |
  parent | QWidget |

  Should not be created directly. Use KMultiTabBar.appendButton

- clicked (id)

  returns Nothing
  SIGNAL ("clicked (int)")

  Argument | Type | Default
  --- | --- | ---
  id | int |

  this is emitted if the button is clicked

  id - the ID identifying the button

- hideEvent (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QHideEvent |

- id ( )

  returns int

- setText (text)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  text | QString |

- showEvent (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QShowEvent |

- slotClicked ( )

  returns Nothing